Subject: Re: nncpmail

From: John Goerzen <[email-masked]>
Date: Sat, 15 Jan 2022 18:27:44 -0700

On Sat, Jan 15 2022, Sergey Matveev wrote:

>>It occurs to me we could do something similar with NNCP.
>
> Honestly I do not understand what exactly can we do with NNCP and tham
> yggmail (or its idea). You mean creating overlay network for
> transferring encrypted packets, instead of current TCP<->TCP daemon?

No, I mean having a self-contained NNCP mailing deamon that is a regular
NNCP node.

So let's say we wanted to set up a global system where people could
email each other across NNCP.  We could use each node's NNCP public key
as an identifier, as in [email-masked] (just as yggmail is doing).

At the NNCP layer, we would need a standard for how this will be
accomplished, like rmail back in the UUCP days.  Probably we would
define an exec command -- maybe it would literally be rmail with the
recipients on the command line and the body on stdin.  Or it could be
BSMTP.  Whatever - what matters is that everyone agrees on the the
convention.

Then there is the question of transport.  Of course, within one's local
network, that's up to you.  I'm going to hand-wave the question of how
to receive mail from strangers for the moment because it's a bit
difficult right now, I think.

So, if you were doing this all by hand, you would need, in addition to
the NNCP configuration:

1. A mail server that would handle this (exim, postfix, etc).  This
server would need to: verify the sender address matches the NNCP
environment variable for verified sender key, understand how to deliver
incoming mail to local mailboxes, understand how to route outbound mail
to *.nncp via NNCP, and understand how not to relay things at its level.

2. An IMAP server that users could use to access their mail.

Does that make sense?

- John